package core.api.models.timemanager.taskgroup;

import com.fasterxml.jackson.annotation.JsonProperty;
import core.entities.timemanager.Taskgroup;

import java.util.ArrayList;
import java.util.List;

public class TaskgroupPathInfo {

    @JsonProperty
    private List<String> taskgroupPathNames;

    public TaskgroupPathInfo(Taskgroup taskgroup) {
        taskgroupPathNames = new ArrayList<>();
        List<Taskgroup> taskgroupPath = Taskgroup.getAncestorList(taskgroup);
        for(Taskgroup cT : taskgroupPath) {
            taskgroupPathNames.add(cT.getTaskgroupName());
        }
    }
}
